## DhProfileBuilder DhProfileBuilder — Builds DhProfile objects |

## Functions

DhProfileBuilder * | dh_profile_builder_new ()
void | dh_profile_builder_set_settings ()
void | dh_profile_builder_set_book_list ()
DhProfile * | dh_profile_builder_create_object ()

## Types and Values

struct | DhProfileBuilder

## Object Hierarchy

        GObject
        ╰── DhProfileBuilder

## Includes

    #include <devhelp/devhelp.h>

## Description

DhProfileBuilder permits to build DhProfile objects.

## Functions

### dh_profile_builder_new ()

    DhProfileBuilder *
    dh_profile_builder_new (void);

#### Returns

a new DhProfileBuilder.

[transfer full]

Since: 3.30

### dh_profile_builder_set_settings ()

    void
    dh_profile_builder_set_settings (DhProfileBuilder *builder,
                                     DhSettings *settings);

Sets the DhSettings object.

If you don't call this function, the default DhSettings object as returned by `dh_settings_get_default()` will be used.

#### Parameters

builder | a DhProfileBuilder. |
settings | a DhSettings. |

Since: 3.30

### dh_profile_builder_set_book_list ()

    void
    dh_profile_builder_set_book_list (DhProfileBuilder *builder,
                                      DhBookList *book_list);

Sets the DhBookList object.

If you don't call this function, the default DhBookList object as returned by `dh_book_list_get_default()` will be used.

#### Parameters

builder | a DhProfileBuilder. |
book_list | a DhBookList. |

Since: 3.30

### dh_profile_builder_create_object ()

    DhProfile *
    dh_profile_builder_create_object (DhProfileBuilder *builder);

#### Parameters

builder | a DhProfileBuilder. |

#### Returns

the newly created DhProfile object.

[transfer full]

Since: 3.30

## Types and Values

### struct DhProfileBuilder

    struct DhProfileBuilder;